<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/InventoryNew/Inherited/ContainerWithElectricManager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d3b/_container_with_electric_manager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ContainerWithElectricManager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d3b/_container_with_electric_manager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/ddc/class_container_with_electric_manager.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/ddc/class_container_with_electric_manager.html">ContainerWithElectricManager</a>: ContainerWithCargoAndAttachments</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/ddc/class_container_with_electric_manager.html#a174318357c35541c7174c16adec4d8a3">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/ddc/class_container_with_electric_manager.html#a174318357c35541c7174c16adec4d8a3">UpdateInterval</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.UpdateInterval();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> )</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>            <a class="code hl_function" href="../../d8/ddc/class_container_with_electric_manager.html#a1012f11380d61d212d8998b2b45167ec">ElectricityIcon</a>();</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d8/ddc/class_container_with_electric_manager.html#a1012f11380d61d212d8998b2b45167ec">   11</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/ddc/class_container_with_electric_manager.html#a1012f11380d61d212d8998b2b45167ec">ElectricityIcon</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">if</span> ( GetRootWidget().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a>( <span class="stringliteral">&quot;electricity&quot;</span> ) )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <span class="keywordtype">bool</span> show_electricity_icon = <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>.GetCompEM().HasElectricityIcon();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            GetRootWidget().FindAnyWidget( <span class="stringliteral">&quot;electricity&quot;</span> ).<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aab664cf02d8aca153bd116c23386ca5b">Show</a>( show_electricity_icon );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> ( GetRootWidget().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a>( <span class="stringliteral">&quot;electricity_can_work&quot;</span> ) )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordtype">bool</span> show_electricity_can_work_icon = <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>.GetCompEM().CanWork() &amp;&amp; !<a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>.IsRuined();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            GetRootWidget().FindAnyWidget( <span class="stringliteral">&quot;electricity_can_work&quot;</span> ).<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aab664cf02d8aca153bd116c23386ca5b">Show</a>( show_electricity_can_work_icon );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d8/ddc/class_container_with_electric_manager.html#a89507d98bc899c877bfeadfc9e816f15">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/ddc/class_container_with_electric_manager.html#a89507d98bc899c877bfeadfc9e816f15">SetEntity</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <span class="keywordtype">bool</span> immedUpdate = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        super.SetEntity( entity, immedUpdate );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../d8/ddc/class_container_with_electric_manager.html#a1012f11380d61d212d8998b2b45167ec">ElectricityIcon</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>}</div>
<div class="ttc" id="a_plugin_item_diagnostic_8c_html_a5409d59c30dd053fe7160f39a0e55166"><div class="ttname"><a href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a></div><div class="ttdeci">class PluginItemDiagnosticEventHandler extends ScriptedWidgetEventHandler m_Entity</div></div>
<div class="ttc" id="aclass_container_with_electric_manager_html"><div class="ttname"><a href="../../d8/ddc/class_container_with_electric_manager.html">ContainerWithElectricManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3b/_container_with_electric_manager_8c_source.html#l00001">ContainerWithElectricManager.c:2</a></div></div>
<div class="ttc" id="aclass_container_with_electric_manager_html_a1012f11380d61d212d8998b2b45167ec"><div class="ttname"><a href="../../d8/ddc/class_container_with_electric_manager.html#a1012f11380d61d212d8998b2b45167ec">ContainerWithElectricManager::ElectricityIcon</a></div><div class="ttdeci">void ElectricityIcon()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3b/_container_with_electric_manager_8c_source.html#l00011">ContainerWithElectricManager.c:11</a></div></div>
<div class="ttc" id="aclass_container_with_electric_manager_html_a174318357c35541c7174c16adec4d8a3"><div class="ttname"><a href="../../d8/ddc/class_container_with_electric_manager.html#a174318357c35541c7174c16adec4d8a3">ContainerWithElectricManager::UpdateInterval</a></div><div class="ttdeci">override void UpdateInterval()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3b/_container_with_electric_manager_8c_source.html#l00003">ContainerWithElectricManager.c:3</a></div></div>
<div class="ttc" id="aclass_container_with_electric_manager_html_a89507d98bc899c877bfeadfc9e816f15"><div class="ttname"><a href="../../d8/ddc/class_container_with_electric_manager.html#a89507d98bc899c877bfeadfc9e816f15">ContainerWithElectricManager::SetEntity</a></div><div class="ttdeci">override void SetEntity(EntityAI entity, bool immedUpdate=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3b/_container_with_electric_manager_8c_source.html#l00026">ContainerWithElectricManager.c:26</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aab664cf02d8aca153bd116c23386ca5b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aab664cf02d8aca153bd116c23386ca5b">ScriptedWidgetEventHandler::Show</a></div><div class="ttdeci">void Show(int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbc/_context_menu_8c_source.html#l00036">ContextMenu.c:36</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga4c60c2c4f7361799eda0405af7eb5342"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a></div><div class="ttdeci">proto native Widget FindAnyWidget(string pathname)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_192fe6bd0d85bc453ff02fd806ec1ca0.html">InventoryNew</a></li><li class="navelem"><a class="el" href="../../dir_17b62398730a446a9c0884d0c1235fce.html">Inherited</a></li><li class="navelem"><a class="el" href="../../d9/d3b/_container_with_electric_manager_8c.html">ContainerWithElectricManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
